## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# OpenSUSE uses alternative Go based tool (rhbz#2276522):
# https://github.com/mikefarah/yq

%global srcname yq
%global srcforge https://github.com/kislyuk/yq

Name:           python-yq
Version:        3.4.3
Release:        %autorelease
Summary:        Command-line YAML/XML/TOML processor - jq wrapper
License:        Apache-2.0
URL:            https://pypi.org/project/yq/
VCS:            git:%{srcforge}
Source0:        %{pypi_source yq}

Patch1:         yq-tomlkit-f39.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  jq
%if 0%{?fedora} && 0%{?fedora} <= 39
BuildRequires:  sed
%endif

Requires(post): %{_bindir}/alternatives
Requires(postun): %{_bindir}/alternatives

%global _description %{expand:
jq wrapper for YAML, XML, TOML documents.

yq takes YAML input, converts it to JSON, and pipes it to jq. By
default, no conversion of jq output is done. yq also supports XML,
which transcodes XML to JSON using xmltodict and pipes it to jq.
yq supports TOML as well, which uses the tomlkit library to
transcode TOML to JSON, then pipes it to jq.}

%description
%{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

Requires:       jq

%description -n python3-%{srcname}
%{_description}


%prep
%autosetup -p1 -n %{srcname}-%{version} -N

%if 0%{?fedora} && 0%{?fedora} <= 39
# version_file is not supported in setuptools-scm 7.1.0
sed -e 's/^version_file/#write_to/' -i pyproject.toml
%autopatch -M 1 -p1
%endif

%autopatch -m 2 -p1

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}

# xq tool is already taken
# Already packaged separately in https://github.com/sibprogrammer/xq
mv %{buildroot}%{_bindir}/{xq,xqp}
# yq potentially conflicts with Go project
mv %{buildroot}%{_bindir}/{yq,yqp}

touch %{buildroot}%{_bindir}/yq


%check
# python3 setup.py test is failing. Run test directly.
%{python3} test/test.py

%postun -n python3-%{srcname}
if [ $1 -eq 0 ] ; then
  %{_bindir}/alternatives --remove yq %{_bindir}/yqp
fi

%post -n python3-%{srcname}
%{_bindir}/alternatives --install %{_bindir}/yq \
  yq %{_bindir}/yqp 10


%files -n  python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/yqp
%{_bindir}/tomlq
%{_bindir}/xqp
%ghost %{_bindir}/yq


%changelog
## START: Generated by rpmautospec
* Tue Jun 11 2024 Petr Menšík <pemensik@redhat.com> - 3.4.3-9
- Change tomlkit dependency only on f39

* Tue Jun 11 2024 Petr Menšík <pemensik@redhat.com> - 3.4.3-8
- Allow build on f39

* Tue Jun 11 2024 Petr Menšík <pemensik@redhat.com> - 3.4.3-7
- Basic support for alternatives

* Tue Jun 11 2024 Petr Menšík <pemensik@redhat.com> - 3.4.3-6
- Update description from the project itself.

* Tue Jun 11 2024 Petr Menšík <pemensik@redhat.com> - 3.4.3-5
- Work also on Fedora 39

* Tue Jun 11 2024 Petr Menšík <pemensik@redhat.com> - 3.4.3-4
- Make alternative name to xq

* Tue Jun 11 2024 Petr Menšík <pemensik@redhat.com> - 3.4.3-3
- Rename xq to xqp

* Mon Jun 10 2024 Petr Menšík <pemensik@redhat.com> - 3.4.3-2
- Remove customizable python version for better readability

* Mon Jun 10 2024 Petr Menšík <pemensik@redhat.com> - 3.4.3-1
- Update description and use latest version

* Mon Jun 10 2024 Petr Menšík <pemensik@redhat.com> - 3.2.3-1
- Initial review

* Sat Apr 28 2018 Andrey Kislyuk <kislyuk@gmail.com>
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
